Bug 37082 - RH 7.1 install fails at the swapon part
Summary: RH 7.1 install fails at the swapon part
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-22 18:45 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 20:15:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt created by RH 7.1 install process (9.81 KB, text/plain)
2001-04-22 21:02 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-04-22 18:45:40 UTC
When installing via FTP, the prcess breaks when it is doing something with
the swap (turning it on, I think) after I've selected all the packages to
install.  I should memtion that RH 7.1's install fdisk keeps corrupting my
partition tables, so I've had to boot with Debian rescue disks to
re-initialize and re-partition the drive, and create the file systems and
initialize the swap that way.  The drive is a Fujitsu UDMA2 4.3G disk. 
Debian cfdisk/fdisk and DOS fdisk do fine with the drive, but RH 7.1's
fdisk screws it up.

Here is the backtrace from Anaconda that I saved to a disk.  The whole file
is too long to paste in:


Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1765, in
doInstall
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 537, in
turnOnSwap
  File "/usr/lib/anaconda/isys.py", line 163, in swapon
    return _isys.swapon (path)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
path: /tmp/swap/hda3

Comment 1 Need Real Name 2001-04-22 21:02:06 UTC
Created attachment 16047 [details]
anacdump.txt created by RH 7.1 install process

Comment 2 Matt Wilson 2001-08-01 19:20:00 UTC
reassigning to anaconda team


Comment 3 Brent Fox 2001-08-10 20:15:15 UTC
Do you see any error messages on VC3 or VC4?

Comment 4 Brent Fox 2001-08-16 18:35:37 UTC
Closing due to inactivity.  Please reopen if you have more information.  Sorry
that the trail ran cold on this issue, but it was originally filed against
anacron instead of anaconda, which is where it sat for four months.  By the time
that it was assigned to anaconda, the filer had stopped responding.


Note You need to log in before you can comment on or make changes to this bug.